#include<bits/stdc++.h>
using namespace std;

int main(){
	//ios_base::sync_with_studio(false);
	
	int N;
	cin >> N;
	
	int X[N];
	int Y[N];
	int Z[N];
	
	for(int i=0; i<N;i++)
		cin >>X[i];
	
	for(int i=0; i<N;i++)
		cin >> Y[i];
	
	for(int i = 0; i<N; i++)
		cin >> Z[i];
		
	int brojac1 = 0;
	int brojac2 = 0;
	int redni_broj = 0;
		
	for(int i=0; i<N;i++){
		for(int j=0;j<N;j++){
			if(Y[j]==X[i]){
				brojac1++;
				redni_broj = j+1;
				for(int k = 0;k<N;k++){
					if(Z[k] == redni_broj){
						brojac2++;
					}
				}
			}
		}
	}
	
	cout << brojac2 << '\n';
	
	return 0;
	
}